| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
EthernetAddressModel Class Reference

A model managing a list of Ethernet addresses for UI display. More...

`#include <resolved_addresses_models.h>`

Inheritance diagram for EthernetAddressModel:

## Public Member Functions
| EthernetAddressModel (QObject *parent=Q_NULLPTR)
| Constructs a new EthernetAddressModel.
QStringList | filterValues () const
| Retrieves the filterable values for the model.
Public Member Functions inherited from AStringListListModel
| AStringListListModel (QObject *parent=Q_NULLPTR)
| Construct an empty model.
virtual | ~AStringListListModel ()
| Destroy the model.
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const override
| Return the number of rows in the model.
virtual int | columnCount (const QModelIndex &parent=QModelIndex()) const override
| Return the number of columns in the model.
virtual QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
| Return data for the given index and role.
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const override
| Return header data for the given section, orientation, and role.
virtual void | appendRow (const QStringList &row, const QString &row_tooltip=QString(), const QModelIndex &parent=QModelIndex())
| Append a row to the model.

## Protected Member Functions
QStringList | headerColumns () const override
| Retrieves the header column titles for the model.
void | populate ()
| Populates the model with Ethernet address data.

## Detailed Description

A model managing a list of Ethernet addresses for UI display.

## Constructor & Destructor Documentation

## ◆ EthernetAddressModel()

EthernetAddressModel::EthernetAddressModel | ( | QObject * | parent = Q_NULLPTR | ) |

Constructs a new EthernetAddressModel.

Parameters

  parent | The parent QObject, defaults to Q_NULLPTR.

## Member Function Documentation

## ◆ filterValues()

QStringList EthernetAddressModel::filterValues | ( |  | ) | const

Retrieves the filterable values for the model.

Returns
  A list of filter strings.

## ◆ headerColumns()

QStringList EthernetAddressModel::headerColumns | ( |  | ) | const
| override protected virtual

Retrieves the header column titles for the model.

Returns
  A list of header column strings.

Implements AStringListListModel.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/resolved_addresses_models.h
- /builds/wireshark/wireshark/ui/qt/models/resolved_addresses_models.cpp